%global _empty_manifest_terminate_build 0
Name:		python-jsl
Version:	0.2.4
Release:	1
Summary:	A Python DSL for defining JSON schemas
License:	BSD
URL:		https://jsl.readthedocs.org
Source0:	https://files.pythonhosted.org/packages/c1/63/47d4bc4e4bfae29e00ff9256b52dfbf945b409804cfadf95714c113b8efb/jsl-0.2.4.tar.gz
BuildArch:	noarch


%description
Documentation_ | GitHub_ |  PyPI_
JSL is a Python DSL for defining JSON Schemas.

%package -n python3-jsl
Summary:	A Python DSL for defining JSON schemas
Provides:	python-jsl
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pip
BuildRequires:	python3-wheel
%description -n python3-jsl
Documentation_ | GitHub_ |  PyPI_
JSL is a Python DSL for defining JSON Schemas.

%package help
Summary:	Development documents and examples for jsl
Provides:	python3-jsl-doc
%description help
Documentation_ | GitHub_ |  PyPI_
JSL is a Python DSL for defining JSON Schemas.

%prep
%autosetup -n jsl-0.2.4

%build
%pyproject_build

%install
%pyproject_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
touch filelist.lst
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "\"/%h/%f\"\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "\"/%h/%f\"\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "\"/%h/%f\"\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "\"/%h/%f.gz\"\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-jsl -f filelist.lst
%{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Sat Nov 16 2024 Python_Bot <Python_Bot@openeuler.org> - 0.2.4-1
- Package Spec generated
